1. 4. Webhooks
Yamm
  • Partner API
    • 1. Authentication
      • Issue Access Token
    • 2. Catalog
      • List Products
      • Get Product
    • 3. Returns
      • List Return Reasons
      • Create Return Reason
      • Upload Return Attachment
      • Create Return
      • List Returns
      • Get Return
      • Approve Return
      • Reject Return
      • List Resolution Methods
      • Inspect Return
      • Cancel Return
      • Get Return Timeline
    • 4. Webhooks
      • Webhook Meta
        GET
      • List Webhooks
        GET
      • Create Webhook
        POST
      • Get Webhook
        GET
      • Update Webhook
        PUT
      • Delete Webhook
        DELETE
      • Rotate Webhook Secret
        POST
      • Send Test Webhook
        POST
      • List Webhook Deliveries
        GET
      • Get Webhook Delivery
        GET
      • Retry Webhook Delivery
        POST
    • 5. Store & Orders
      • Get Store
      • List Orders
      • Get Order
  1. 4. Webhooks

List Webhooks

GET
/partner/v1/webhooks
Paginated webhook endpoints of the store. Secrets are masked.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Header Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Validation failed
🟠401Unauthorized
🟠403Missing scope / feature
🟠429Rate limited
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/partner/v1/webhooks?page=1&per_page=20' \
--header 'X-Store-Id: {{partner_store_id}}' \
--header 'Accept-Language: en' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "string",
    "data": {
        "records": [
            {
                "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
                "url": "string",
                "api_version": "string",
                "description": "string",
                "secret": "string",
                "previous_secret_expires_at": "string",
                "subscribed_events": [
                    "string"
                ],
                "is_active": true,
                "disabled_reason": "string",
                "created_at": "string",
                "updated_at": "string"
            }
        ],
        "total": 0,
        "page": 0,
        "limit": 0,
        "total_pages": 0
    }
}
Previous
Webhook Meta
Next
Create Webhook
Built with